/*
    RawSpeed - RAW file decoder.

    Copyright (C) 2009-2011 Klaus Post

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

    http://www.klauspost.com
*/
#include "StdAfx.h"
#include "FileReader.h"
#include "RawParser.h"
#include "RawDecoder.h"
#include "CameraMetaData.h"

struct rawspeed_context {
	CameraMetaData *meta;
};

struct rawspeed_image {
	uchar8* data;
	uint32 pitch;
  uchar8 is_cfa;
  uchar8 is_float;
	uint32 dim_x;
	uint32 dim_y;
	uint8 bytes_per_pixel;
	uint8 colors_per_component;
	uint32 dcraw_cfa_positions;
};
